Create Key
curl --request POST \
--url https://{host}/Agent/Crypto/CreateKey \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"localName": "<string>",
"namespace": "<string>",
"id": "<string>",
"nonce": "<string>",
"keySignature": "<string>",
"requestSignature": "<string>"
}
'import requests
url = "https://{host}/Agent/Crypto/CreateKey"
payload = {
"localName": "<string>",
"namespace": "<string>",
"id": "<string>",
"nonce": "<string>",
"keySignature": "<string>",
"requestSignature": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
localName: '<string>',
namespace: '<string>',
id: '<string>',
nonce: '<string>',
keySignature: '<string>',
requestSignature: '<string>'
})
};
fetch('https://{host}/Agent/Crypto/CreateKey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}Crypto
Create Key
Allows the client to create a cryptographic key on the server, and protect it with a password.
POST
/
Agent
/
Crypto
/
CreateKey
Create Key
Overview
Allows the client to create a cryptographic key on the server, and protect it with a password. The key will be stored encrypted on the server, protected with the key password. The creation of a key will require the user to provide the account password again.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I